> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-downloads/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-downloads/products/land-and-terrain-portfolio/os-mastermap-sites-layer/os-mastermap-sites-layer-technical-specification/feature-types/accesspoint.md).

# AccessPoint

This section defines the attributes associated with the AccessPoint feature. It is important to note that UML notation has been used to show the multiplicity for an attribute. These indicate whether an attribute is optional (0), has a single value (1), or can have either/or (0..1) where ‘or’ is represented by double dots (..).

## AccessPoint attributes

### AccessPoint

Subtype of: Node, TransportNode

The spatial object type defining a point where there is access into and/or out of a site.

### geometry

The coordinate geometry defining the position of the accessPoint. The geometry is projected in two dimensions (2D).

* **Attribute Name:** geometry
* **Value type:** GM\_Point
* **Size:** One coordinate set
* **Multiplicity:** \[1]

### toid

A unique identifier for an accessPoint, which is maintained along with the version number and version date to reflect the life cycle of the feature. NOTE: equivalent to INSPIRE identifier.

* **Attribute Name:** toid
* **Value type:** Text
* **Size:** 20
* **Multiplicity:** \[1]

### version

The version number of the data representation of the persisting accessPoint feature.

* **Attribute Name:** version
* **Value type:** Integer
* **Size:** 3
* **Multiplicity:** \[1]

### versionDate

The date on which the current version of the accessPoint was created.

* **Attribute Name:** versionDate
* **Value type:** Date
* **Size:** NA
* **Multiplicity:** \[1]

#### reasonForChange

Reason for the current version of the accessPoint to be created. The valid reasons for change are defined in the ReasonForChangeValue code list.

* **Attribute Name:** reasonForChange
* **Value type:** ReasonForChangeValue
* **Size:** NA
* **Multiplicity:** \[1]

### refToFunctionalSite

The unique identifier (TOID) of the functional site to which the accessPoint relates.

* **Attribute Name:** refToFunctionalSite
* **Value type:** Text
* **Size:** 20
* **Multiplicity:** \[1]

### accessType

This describes the nature of the access permitted at the accessPoint. The valid access types are defined in the AccessTypeValue code list. Where there is more than one type of access, the values will be provided together and separated by a ‘,’. Currently only Pedestrian and Motor Vehicles access types are populated.

* **Attribute Name:** accessType
* **Value type:** AccessTypeValue
* **Size:** 30
* **Multiplicity:** \[1]

### accessMechanism

This describes the mechanism used to access the functional site through the accessPoint. The valid AccessMechanismValue are defined in the AccessMechanismValue code list. Where there is more than one type of access mechanism, the values will be provided together and separated by a ‘,’. Currently not populated.

* **Attribute Name:** accessMechanism
* **Value type:** AccessMechanismValue
* **Size:** NA
* **Multiplicity:** \[0..1]

### accessDirection

This refers to the direction of travel that is permitted through the accessPoint. The valid access direction values are defined in the AccessDirectionValue code list. Currently not populated.

* **Attribute Name:** accessDirection
* **Value type:** AccessDirectionValue
* **Size:** NA
* **Multiplicity:** \[0..1]

### accessUseRestriction

This refers to the nature of any access restriction. The valid restrictions are defined in the AccessUseRestrictionValue code list. Where there is more than one type of restriction, the values will be provided together and separated by a ‘,’. Currently not populated.

* **Attribute Name:** accessUseRestriction
* **Value type:** AccessUseRestrictionValue
* **Size:** NA
* **Multiplicity:** \[0..1]

### refToRoutingPoint

The unique identifier (TOID) of the related routingPoint feature, if there is one.

* **Attribute Name:** refToRoutingPoint
* **Value type:** Text
* **Size:** 20
* **Multiplicity:** \[0..1]

### refToITNRoadNode

The unique identifier (TOID) of the related OS MasterMap Network Layer road node feature; if this is used rather than a routing point. The Network layers road node is used in an identical manner to that of the previous OSMM ITN version.

* **Attribute Name:** refToITNRoadNode
* **Value type:** Text
* **Size:** 20
* **Multiplicity:** \[0..1]

### itnRoadNodeVersionDate

The date on which the current version of the OS MasterMap Highways Network Layer road node was created. A default value of ‘1900-01-01’ will be used to indicate where the date of this feature has not been captured. The Network layers road node is used in an identical manner to that of the previous OSMM ITN version.

* **Attribute Name:** itnRoadNodeVersionDate
* **Value type:** Date
* **Size:** NA
* **Multiplicity:** \[0..1]

### dateTimeQualifier

This refers to the dates or times that access is permitted through the accessPoint.

* **Attribute Name:** dateTimeQualifier
* **Value type:** Text
* **Size:** 20
* **Multiplicity:** \[0..1]

### heightQualifier

This refers to the maximum vehicle height that is permitted through the accessPoint.

* **Attribute Name:** heightQualifier
* **Value type:** Distance
* **Size:** 4.2
* **Multiplicity:** \[0..1]

### widthQualifier

This refers to the maximum vehicle width that is permitted through the accessPoint.

* **Attribute Name:** widthQualifier
* **Value type:** Distance
* **Size:** 4.2
* **Multiplicity:** \[0..1]

### weightQualifier

This refers to the maximum vehicle weight that is permitted through the accessPoint.

* **Attribute Name:** weightQualifier
* **Value type:** Real
* **Size:** 4.2
* **Multiplicity:** \[0..1]

### lengthQualifier

This refers to the maximum vehicle length that is permitted through the accessPoint.

* **Attribute Name:** lengthQualifier
* **Value type:** Distance
* **Size:** 4.2
* **Multiplicity:** \[0..1]

### natureOfAccess

This describes the physical form of enforcement to expect at the accessPoint. The valid nature of access values is defined in the NatureOfAccessValue code list. Where there is more than one nature of access, the values will be provided together and separated by a ‘,’. Currently populated as Unknown.

* **Attribute Name:** natureOfAccess
* **Value type:** NatureOfAccessValue
* **Size:** NA
* **Multiplicity:** \[1]


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.os.uk/os-downloads/products/land-and-terrain-portfolio/os-mastermap-sites-layer/os-mastermap-sites-layer-technical-specification/feature-types/accesspoint.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
